[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TBooleanField.Value

Value of the field as a boolean value

## Declaration

Source position: db.pas line 726

`public property TBooleanField.Value : Boolean read GetAsBoolean write SetAsBoolean;`

## Description

Value is redefined from TField.Value by TBooleanField as a boolean value. It returns the same value as the TField.AsBoolean property.

## See also

TField.AsBoolean |  | Access the field's contents as a Boolean value.
TField.Value |  | Value of the field as a variant value